<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [hasRootAccess](./bitburner.ns.hasrootaccess.md)

## NS.hasRootAccess() method

Check if your have root access on a server.

<b>Signature:</b>

```typescript
hasRootAccess(host: string): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  host | string | Host of the target server |

<b>Returns:</b>

boolean

True if player has root access to the specified target server, and false otherwise.

## Remarks

RAM cost: 0.05 GB

Returns a boolean indicating whether or not the player has root access to the specified target server.

## Example 1


```ts
// NS1:
if (hasRootAccess("foodnstuff") == false) {
   nuke("foodnstuff");
}
```

## Example 2


```ts
// NS2:
if (ns.hasRootAccess("foodnstuff") == false) {
   ns.nuke("foodnstuff");
}
```

